<?php
error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";




$endereco = array();
$cep = array();
$numero = array();
$complemento = array();
$bairro = array();
$cidade = array();
$estado = array();
$celular = array();
$telfixo = array();
$telcomercial = array();





foreach ($_POST as $key => $value) {

    $indice = $key;

     // echo "INDICE: ".$indice . "VALOR: ". $value . "<br>";
     

      if(substr($indice, 0,14) == "modal_endereco" ){
           array_push($endereco, $value);

      }else if(substr($indice, 0, 9) == "modal_cep"){

           array_push($cep, $value);

      }else if(substr($indice, 0,12) == "modal_numero"){

           array_push($numero, $value);

      }else if(substr($indice, 0,17) == "modal_complemento"){
           array_push($complemento, $value);

      }else if(substr($indice, 0,12) == "modal_bairro"){
           array_push($bairro, $value);


      }else if(substr($indice, 0,12) == "modal_cidade"){
           array_push($cidade, $value);
           
      }else if(substr($indice,0,12) == "modal_estado"){
           array_push($estado, $value);
      }


}




foreach ($_POST as $key => $value) {

    $indice = $key;

     // echo "INDICE: ".$indice . "VALOR: ". $value . "<br>";
     
                                
      if(substr($indice, 0,13) == "modal_celular" ){
           array_push($celular, $value);

      }else if(substr($indice, 0, 13) == "modal_telfixo"){
           array_push($telfixo, $value);

      }else if(substr($indice, 0,18) == "modal_telcomercial"){
           array_push($telcomercial, $value);

      }

}


    



    


$diretorio = 'img/perfil/';

if(!is_dir("$diretorio")) {

mkdir ("$diretorio", 0755 ); // criar o diretorio

}

$nome_foto = $_FILES['perfil_foto']['name'];


move_uploaded_file($_FILES['perfil_foto']['tmp_name'], $diretorio.$nome_foto);
$path_foto = $diretorio.$nome_foto; 


function remover_acentos($str) { 

//   $a = array('À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È', 'É', 'Ê', 'Ë', 'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'ß', 'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ç', 'è', 'é', 'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ñ', 'ò', 'ó', 'ô', 'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý', 'ÿ', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'Ð', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', '?', '?', 'J', 'j', 'K', 'k', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', '?', 'O', 'o', 'O', 'o', 'O', 'o', 'Œ', 'œ', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'Š', 'š', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Ÿ', 'Z', 'z', 'Z', 'z', 'Ž', 'ž', '?', 'ƒ', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', '?', '?', '?', '?', '?', '?', 'ç', 'Ç', "'"); 
//   $b = array('A', 'A', 'A', 'A', 'A', 'A', 'AE', 'C', 'E', 'E', 'E', 'E', 'I', 'I', 'I', 'I', 'D', 'N','O', 'O', 'O', 'O', 'O', 'O', 'U', 'U', 'U', 'U', 'Y', 's', 'a', 'a', 'a', 'a', 'a', 'a','ae', 'c', 'e', 'e', 'e', 'e', 'i', 'i', 'i', 'i', 'n', 'o', 'o', 'o', 'o', 'o', 'o', 'u', 'u', 'u', 'u', 'y', 'y', 'A', 'a', 'A', 'a', 'A', 'a', 'C', 'c', 'C', 'c', 'C', 'c', 'C', 'c', 'D', 'd', 'D', 'd', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'E', 'e', 'G', 'g', 'G', 'g', 'G', 'g', 'G', 'g', 'H', 'h', 'H', 'h', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i', 'I', 'i','IJ','ij', 'J', 'j', 'K', 'k', 'L', 'l', 'N', 'n', 'N', 'n', 'N', 'n', 'n', 'O', 'o', 'O', 'o', 'O', 'o', 'OE', 'oe', 'R', 'r', 'R', 'r', 'R', 'r', 'S', 's', 'S', 's', 'S', 's', 'S', 's', 'T', 't', 'T', 't', 'T', 't', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'W', 'w', 'Y', 'y', 'Y', 'Z', 'z', 'Z', 'z', 'Z', 'z', 's', 'f', 'O', 'o', 'U', 'u', 'A', 'a', 'I', 'i', 'O', 'o', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'U', 'u', 'A', 'a', 'AE', 'ae', 'O', 'o','c','C', " "); 
//   return str_replace($a, $b, $str); 

   return $str;
   
   
} 
date_default_timezone_set('America/Sao_Paulo');

$nome_cli          = $_POST["nome_cli"];
$cpf_cli           = $_POST["cpf_cli"];
$rg_cli            = $_POST["rg_cli"];
$estadocivil_cli   = $_POST["estadocivil_cli"];
$nacionalidade_cli = $_POST["nacionalidade_cli"];
$profissao_cli     = $_POST["profissao_cli"];
$nascimento_cli    = $_POST["nascimento_cli"];
$email_cli         = $_POST["email_cli"];
$cidade_cli        = $_POST["cidade_cli"];
$endereco_cli      = $_POST["endereco_cli"];
$numero_cli        = $_POST["numero_cli"];
$bairro_cli        = $_POST["bairro_cli"];
$cep_cli           = $_POST["cep_cli"];
$telefone1_cli     = $_POST["telefone1_cli"];
$telefone2_cli     = $_POST["telefone2_cli"];
$telefone3_cli     = $_POST["telefone3_cli"];
$filiacao     = $_POST["filiacao"];

$estado_cli        = $_POST["estado_cli"];
$senha_cli_cad     = md5(addslashes($_POST["senhaf"]));
$idgrupo           = $_POST["idgrupo"];
$grupo_cliente     = $_POST["grupo_cliente"];
$imob_id           = $_POST["imob_id"];
$creci             = $_POST["creci"];
$insc_municipal    = $_POST["insc_municipal"];
$cadastrado_por    = $_POST["cadastrado_por"];
$complemento_cli   = $_POST["complemento_cli"];
$pessoa            = $_POST["pessoa"];
$obs_cli           = $_POST["obs_cli"];

$cargo             = $_POST["cargo"];
$salario_base      = $_POST["salario_base"];
$data_contratacao  = $_POST["data_contratacao"];
$data_demissao     = $_POST["data_demissao"];
$cpf_rfb           = $_POST["cpf_rfb"];
$renda_total       = $_POST["renda_total"];
$orgao_expedidor       = $_POST["orgao_expedidor"];

$empreendimento_id = $_POST["empreendimento_id"];
$corretor_id       = $_POST["corretor_id"];

$renda_total = str_replace("R$","", $renda_total);
$renda_total = str_replace(".","",  $renda_total);
$renda_total = str_replace(",",".", $renda_total);

$renda_total = substr($renda_total, 2);

$grupo_acesso_logado  = $_POST["grupo_acesso_logado"];

$data_cadastro    = date('d-m-Y H:i:s');
   
$nome_cli2      = remover_acentos($nome_cli);
$endereco_cli2  = remover_acentos($endereco_cli);
$bairro_cli2    = remover_acentos($bairro_cli);
$cidade_cli2    = remover_acentos($cidade_cli);
$estado_cli2    = remover_acentos($estado_cli);

if($nascimento_cli != ""){
$nascimento_cli = date("d-m-Y", strtotime($nascimento_cli));
}
   
   
 include "conexao.php";


$inserir = ("INSERT INTO cliente (
nome_cli,
cpf_cli,    
rg_cli,    
estadocivil_cli,    
nacionalidade_cli,    
profissao_cli,    
nascimento_cli,    
email_cli,    
cidade_cli,    
endereco_cli,    
numero_cli,    
bairro_cli,    
cep_cli,    
telefone1_cli,
telefone3_cli,    
telefone2_cli,
data_cadastro,
imob_id,
estado_cli,
senha,
idgrupo, 
creci,
insc_municipal,
cadastrado_por,
complemento_cli,
fisico_juridico,
categoria_cliente,
obs_cli,
cargo,
salario_base,
data_contratacao,
cpf_rfb,
renda_total,
path_foto,
orgao_expedidor,
interesse_empreendimento,
filiacao,
interesse_corretor
)


values (
'$nome_cli2',
'$cpf_cli',    
'$rg_cli',    
'$estadocivil_cli',    
'$nacionalidade_cli',    
'$profissao_cli',    
'$nascimento_cli',    
'$email_cli',    
'$cidade_cli2',    
'$endereco_cli2',    
'$numero_cli',    
'$bairro_cli2',    
'$cep_cli',    
'$telefone1_cli',    
'$telefone2_cli',
'$telefone3_cli',   
'$data_cadastro',
'$imob_id',
'$estado_cli2',
'$senha_cli_cad',
'$idgrupo',
'$creci',
'$insc_municipal',
'$cadastrado_por',
'$complemento_cli',
'$pessoa',
'$grupo_cliente',
'$obs_cli',
'$cargo',
'$salario_base',
'$data_contratacao',
'$cpf_rfb',
'$renda_total',
'$path_foto',
'$orgao_expedidor',
'$empreendimento_id',
'$filiacao',
'$corretor_id'

)


");




 $executa_query = mysqli_query ($db,$inserir);

 $id_ultimo_cliente = mysqli_insert_id($db);

 $tipo_cliente = $_POST["tipo_cliente"];



  function buscaIdCliente(){
    $id_ultimo_cliente = mysqli_insert_id($db);
  }

                
              
include "conexao.php";
             foreach($tipo_cliente as $tipo){

              $inserir_tipo = mysqli_query($db,"INSERT INTO cliente_tipo (idcliente, idtipo) values ('$id_ultimo_cliente','$tipo')");
          }


  $conjuge_idconjuge = $_POST["conjuge_idconjuge"];


  $inserir_con = mysqli_query($db,"INSERT INTO conjuge (cliente_idcliente, conjuge_idconjuge) values ('$id_ultimo_cliente','$conjuge_idconjuge')");

/////////////  Vincular cadastro com outros usuarios

  $inserir_vinculo = mysqli_query($db,"INSERT INTO vinculo (idcliente, idcorretor, data_vinculo, vinculado_por) values ('$id_ultimo_cliente','$cadastrado_por','$data_cadastro','$cadastrado_por')");


if($grupo_acesso_logado == 7){

include "conexao.php";
$query_amigo = mysqli_query($db, "SELECT imob_id FROM cliente WHERE idcliente = $cadastrado_por");
while ($buscar_amigo = mysqli_fetch_assoc($query_amigo)) {//--verifica se são amigos
           
            $minha_imob        = $buscar_amigo['imob_id'];
} 
$inserir_vinculo = mysqli_query($db,"INSERT INTO vinculo (idcliente, idcorretor, data_vinculo, vinculado_por) values ('$id_ultimo_cliente','$minha_imob','$data_cadastro','$cadastrado_por')");
}





function nome_user_($id){

    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                $executa_igpm = mysqli_query ($db, $query_igpm);
                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 





######################### INSERIR ENDERECO ###############################

    for($i = 0 ; $i < count($endereco); $i++ ){
          
       $endereco_modal    = $endereco[$i];
       $cep_modal         = $cep[$i];
       $numero_modal      = $numero[$i];
       $complemento_modal = $complemento[$i];
       $bairro_modal      = $bairro[$i];
       $cidade_modal      = $cidade[$i];
       $estado_modal      = $estado[$i];

       $endereco_modal    = remover_acentos($endereco_modal);
       $complemento_modal = remover_acentos($complemento_modal);
       $cidade_modal      = remover_acentos($cidade_modal);
       $bairro_modal      = remover_acentos($bairro_modal);
       $estado_modal      = remover_acentos($estado_modal);


       include "conexao.php";

       $query = "INSERT INTO endereco_cli (id_cliente, endereco_cli, numero_cli, complemento_cli, bairro_cli, cidade_cli, estado_cli, cep_cli)  VALUES('$id_ultimo_cliente', '$endereco_modal', '$numero_modal','$complemento_modal', '$bairro_modal', '$cidade_modal', '$estado_modal', '$cep_modal')";
         

       $executa_query = mysqli_query($db, $query);


      if($executa_query->connect_error){
          echo "Erro: ". $executa_query->connect_error;
          
      }
  
    }






########################## INSERIR TELEFONE ###############################



 for($j = 0 ; $j < count($telfixo); $j++ ){
          
       $celular_cli      = $celular[$j];
       $telfixo_cli      = $telfixo[$j];
       $telcom_cli       = $telcomercial[$j];


    
       include "conexao.php";

       $query = "INSERT INTO telefone_cli (id_cliente, celular, telefone_fixo, telefone_comercial)  VALUES('$id_ultimo_cliente', '$celular_cli', '$telfixo_cli' , '$telcom_cli')";
         

       $executa_query = mysqli_query($db, $query);


      if($executa_query->connect_error){
          echo "Erro: ". $executa_query->connect_error;
        
      }
  

    }







    







//function que grava usuario que alterou e o que alterou
function grava_log($data_log,$usuario_id,$descricao_log){

    include "conexao.php";
     $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES('$data_log','$usuario_id','$descricao_log')";
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }

$nome_usuario = nome_user_($cadastrado_por);
$data_log = date('d-m-Y H:i:s');
$usuario_id = $cadastrado_por;
$descricao_log = "Usuário ".$nome_usuario ." cadastrou um novo cliente: ".$nome_cli;

grava_log($data_log,$usuario_id,$descricao_log);

 ?>

 <script>
 window.location="clientes.php?cad=ok";
 </script>